netsnmp_request_info_s(3)

NAME
netsnmp_request_info_s -

The netsnmp request info structure.

SYNOPSIS

#include <snmp_agent.h>

  Data Fields
netsnmp_variable_list * requestvb
variable bindings
netsnmp_data_list * parent_data
can be used to pass information on a per-request basis from a helper to the later handlers
struct netsnmp_agent_request_info_s * agent_req_info
oid * range_end
don't free, reference to (struct tree)->end
size_t range_end_len
int delegated
int processed
int inclusive
int status
int index
index in original pdu
int repeat
get-bulk
int orig_repeat
netsnmp_variable_list * requestvb_start
struct netsnmp_request_info_s * next
struct netsnmp_request_info_s * prev
struct netsnmp_subtree_s * subtree

Detailed Description

The netsnmp request info structure.

Examples:

delayed_instance.c.

Definition at line 54 of file snmp_agent.h.

Field Documentation

  int netsnmp_request_info_s::index

index in original pdu

Definition at line 84 of file snmp_agent.h.

  netsnmp_data_list* netsnmp_request_info_s::parent_data

can be used to pass information on a per-request basis from a helper to the later handlers

Definition at line 64 of file snmp_agent.h.

  oid* netsnmp_request_info_s::range_end

don't free, reference to (struct tree)->end

Definition at line 72 of file snmp_agent.h.

  int netsnmp_request_info_s::repeat

get-bulk

Definition at line 87 of file snmp_agent.h.

  netsnmp_variable_list* netsnmp_request_info_s::requestvb

variable bindings

Examples:
delayed_instance.c.

Definition at line 58 of file snmp_agent.h.

Author

Generated automatically by Doxygen for net-snmp from the source code.